import React from 'react';
import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Size } from '../../types';
interface AccordionProps {
    itemSize?: Size;
    items: AccordionItem[];
    icon?: string;
    isMulti?: boolean;
    openFirstItem?: boolean;
    isInverse?: boolean;
    openAll?: boolean;
    isDisabled?: boolean;
    customClass?: string;
    theme?: ThemeTypesModel;
}
interface AccordionItem {
    id?: string;
    title: string;
    img?: string;
    className?: string;
    isOpen?: boolean;
    isDisabled?: boolean;
    content: string | React.ReactNode;
}
interface sizeModel {
    font: FontStyleTypeModel;
    icon: {
        top: number;
        width: number;
        height: number;
    };
    contentPadding: {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
    headingPadding: {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
    imgPreview: {
        width: number;
        height: number;
        marginRight: number;
    };
}
interface themeState {
    defState: stateColors;
    hoverState: stateColors;
}
interface stateColors {
    borderColor: string;
    color: string;
    backgroundColor: string;
}
interface ModelView {
    style: {
        themes: {
            default: themeState;
            inversed: themeState;
        };
    };
    size: {
        s: sizeModel;
        m: sizeModel;
        l: sizeModel;
    };
}
interface AccordionItemProps {
    styled: ModelView;
    colorTheme: 'default' | 'inversed';
    isDisabled?: boolean;
}
interface AccContainerProps {
    styled: ModelView;
    colorTheme: 'default' | 'inversed';
}
interface AccItemHeadingProps {
    styled: ModelView;
    hideFocusOutline?: boolean;
    colorTheme: 'default' | 'inversed';
    size: Size;
}
interface TitleProps {
    styled: ModelView;
    size: Size;
}
interface AccImgPreviewProps {
    styled: ModelView;
    size: Size;
}
interface AccIconProps {
    styled: ModelView;
    colorTheme: 'default' | 'inversed';
    size: Size;
}
interface ItemContentProps {
    styled: ModelView;
    isOpen?: boolean;
    size: Size;
}
export type { AccordionItemProps, AccordionProps, ModelView, AccContainerProps, AccItemHeadingProps, TitleProps, ItemContentProps, AccIconProps, AccImgPreviewProps, };
