import { ThemeTypesModel } from '../../../Themes/theme_types';
import dayjs from 'dayjs';
interface DisabledDates {
    before?: Date;
    after?: Date;
    days?: number[];
    daysOfMonth?: number[];
    dates?: Date[];
    ranges?: DisabledRanges[];
}
interface DisabledRanges {
    from: Date;
    to: Date;
}
interface DaysRangeGridProps {
    view: 'mobile' | 'desktop';
    minDate?: Date;
    maxDate?: Date;
    allowFocusBorder: boolean;
    sectionNumber: number;
    disabledDates?: DisabledDates;
    firstDateValue?: dayjs.Dayjs;
    secondDateValue?: dayjs.Dayjs;
    lastHoveredDate?: dayjs.Dayjs;
    today: dayjs.Dayjs;
    month: dayjs.Dayjs;
    theme?: ThemeTypesModel;
    focusUp?: () => void;
    focusDown?: boolean;
    isInverse?: boolean;
    daySelected: (day: dayjs.Dayjs) => void;
    hoveredDate: (day: dayjs.Dayjs) => void;
    dayMouseEnter: () => void;
    dayMouseLeave: () => void;
}
interface RangeGridProp {
    theme?: ThemeTypesModel;
    view: 'mobile' | 'desktop';
}
export type { DaysRangeGridProps, RangeGridProp };
