import { ThemeTypesModel } from '../../../Themes/theme_types';
import dayjs from 'dayjs';
type MonthsRangeGridProps = {
    view: 'mobile' | 'desktop';
    minDate?: Date;
    maxDate?: Date;
    sectionNumber: number;
    selectedDate?: dayjs.Dayjs;
    year: number;
    today: dayjs.Dayjs;
    theme?: ThemeTypesModel;
    allowFocusBorder: boolean;
    isInverse?: boolean;
    monthSelected: (month: dayjs.Dayjs) => void;
    monthMouseEnter: () => void;
    monthMouseLeave: () => void;
};
type MonthItem = {
    key: string;
    title: string;
    selected: boolean;
    disabled: boolean;
    value: dayjs.Dayjs;
};
type RangeGridProps = {
    theme?: ThemeTypesModel;
    view: 'desktop' | 'mobile';
};
export type { MonthsRangeGridProps, MonthItem, RangeGridProps };
