import { ThemeTypesModel } from '../../../Themes/theme_types';
import dayjs from 'dayjs';
interface DisabledDates {
    before?: Date;
    after?: Date;
    days?: number[];
    daysOfMonth?: number[];
    dates?: Date[];
    ranges?: DisabledRanges[];
}
interface DisabledRanges {
    from: Date;
    to: Date;
}
interface RangeSectionProps {
    showDate: dayjs.Dayjs;
    numberSection: number;
    today: dayjs.Dayjs;
    disabledDates?: DisabledDates;
    allowFocusBorder?: boolean;
    firstValue?: dayjs.Dayjs;
    secondValue?: dayjs.Dayjs;
    lastHovered?: dayjs.Dayjs;
    view: 'mobile' | 'desktop';
    minDate?: Date;
    maxDate?: Date;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
    hoveredDate: (date: dayjs.Dayjs) => void;
    dateSelected: (date: dayjs.Dayjs) => void;
    dateMouseEnter: () => void;
    dateMouseLeave: () => void;
}
interface BodyProps {
    view: 'mobile' | 'desktop';
}
export type { RangeSectionProps, BodyProps };
