import { ThemeTypesModel } from '../../../Themes/theme_types';
import dayjs from 'dayjs';
interface DisabledDates {
    before?: Date;
    after?: Date;
    days?: number[];
    daysOfMonth?: number[];
    dates?: Date[];
    ranges?: DisabledRanges[];
}
interface DisabledRanges {
    from: Date;
    to: Date;
}
interface DaysGridProps {
    disabledDates?: DisabledDates;
    view: 'mobile' | 'desktop';
    minDate?: Date;
    maxDate?: Date;
    allowFocusBorder: boolean;
    value?: dayjs.Dayjs;
    today: dayjs.Dayjs;
    month: dayjs.Dayjs;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
    focusUp?: () => void;
    focusDown?: boolean;
    daySelected: (day: dayjs.Dayjs) => void;
}
interface DaysArray {
    currentMonth: boolean;
    disabled: boolean;
    isRange: boolean;
    key: number;
    selected: boolean | undefined;
    text: number;
    value: dayjs.Dayjs;
}
interface GridProp {
    theme?: ThemeTypesModel;
    view: 'mobile' | 'desktop';
}
export type { DaysGridProps, DaysArray, GridProp };
