import { ThemeTypesModel } from '../../../Themes/theme_types';
import dayjs from 'dayjs';
interface MonthsGridProps {
    view: 'mobile' | 'desktop';
    minDate?: Date;
    maxDate?: Date;
    year: number;
    today: dayjs.Dayjs;
    value?: dayjs.Dayjs;
    theme?: ThemeTypesModel;
    allowFocusBorder: boolean;
    isInverse?: boolean;
    focusUp?: () => void;
    focusDown?: boolean;
    monthSelected: (month: dayjs.Dayjs) => void;
}
interface MonthItem {
    key: string;
    title: string;
    selected: boolean;
    disabled: boolean;
    value: dayjs.Dayjs;
}
type GridProps = {
    theme?: ThemeTypesModel;
    view: 'desktop' | 'mobile';
};
export type { MonthsGridProps, MonthItem, GridProps };
