import React from 'react';
import { Size } from '../../types';
type AvailableSizes = Size.s | Size.m | Size.l;
interface CardState {
    styles: StyleScheme;
    isInverse: boolean;
    dayTime: 'dark' | 'light';
    size: AvailableSizes;
    isVertical: boolean;
    isUnbordered: boolean;
    isClickable: boolean;
}
export interface CardProps {
    size?: AvailableSizes;
    isInverse?: boolean;
    isClickable?: boolean;
    imgSrc?: string;
    isSelectable?: boolean;
    isVertical?: boolean;
    isUnbordered?: boolean;
    children?: React.ReactNode;
    className?: string;
}
export interface CardContainerProps {
    isInverse?: boolean;
    state: CardState;
}
export interface StyleScheme {
    style: {
        light: {
            fontColor: string;
            bgColor: string;
            borderColor: string;
            clickableHoverBg: string;
            clickableActiveBg: string;
        };
        dark: {
            fontColor: string;
            bgColor: string;
            borderColor: string;
            clickableHoverBg: string;
            clickableActiveBg: string;
        };
    };
    size: {
        s: any;
        m: any;
        l: any;
    };
}
export {};
