import { ThemeTypesModel } from '../../Themes/theme_types';
import { ModelView } from './viewModel';
import { Color } from '../../types';
interface CheckboxItemData {
    value: boolean;
    isDisabled: boolean;
    label: string;
    isIndeterminate: boolean;
}
interface CheckboxGroupProps {
    checkboxItems: CheckboxItemData[];
    color?: Color.green | Color.blue | Color.dark;
    direction?: 'column' | 'row';
    groupTitle?: string;
    isError?: boolean;
    errorState?: 'default' | 'focus out' | undefined;
    isRequired?: boolean;
    isDisabled?: boolean;
    theme?: ThemeTypesModel;
    className?: string;
    isInverse?: boolean;
    onChangeHandler?: (val: CheckboxItemData[]) => void;
}
interface ChangeHandlerData {
    label: string;
    value: boolean;
}
interface GroupLabelProps {
    styled: ModelView;
    daytime: 'day' | 'night';
    isRequired: boolean;
}
interface ItemsProps {
    direction: CheckboxGroupProps['direction'];
}
interface ItemProps {
    direction: CheckboxGroupProps['direction'];
}
export type { CheckboxItemData, CheckboxGroupProps, ChangeHandlerData, GroupLabelProps, ItemsProps, ItemProps, };
