import React from 'react';
import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Size } from '../../types';
interface ContextMenuProps {
    size: Size.s | Size.m | Size.l;
    theme?: ThemeTypesModel;
    id?: string;
    width?: string;
    isResponsive?: boolean;
    maxHeight?: number;
    minHeight?: number;
    aria?: React.AriaAttributes;
    isInverse: boolean;
    className?: string;
    isBorder?: boolean;
    children?: React.ReactElement;
}
interface MenuProps {
    widthProp?: string;
    isResponsive?: boolean;
    size: Size.s | Size.m | Size.l;
    maxHeight?: number;
    minHeight?: number;
    styled: ViewModel;
    isInverse: boolean;
    isBorder: boolean;
}
interface styleParams {
    backgroundColor: string;
    borderColor: string;
    groupLabel: {
        color: string;
    };
}
interface sizeParams {
    minWidth: number;
    compensation: number;
    divider: {
        margins: number;
        padding: number;
    };
    groupLabel: {
        paddingTop: number;
        paddingLeft: number;
        paddingRight: number;
        paddingBottom: number;
        font: FontStyleTypeModel;
    };
}
interface ViewModel {
    style: {
        day: styleParams;
        night: styleParams;
    };
    size: {
        s: sizeParams;
        m: sizeParams;
        l: sizeParams;
    };
}
export type { ContextMenuProps, MenuProps, ViewModel };
