import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Size } from '../../types';
interface CounterPropsTypes {
    value: string;
    size?: Size.s | Size.m;
    colorScheme?: 'light' | 'dark';
    isDisabled?: boolean;
    className?: string;
    theme?: ThemeTypesModel;
    hover?: boolean;
}
interface CounterElementPropsTypes {
    styled: ModelView;
    size: CounterPropsTypes['size'];
    colorScheme: CounterPropsTypes['colorScheme'];
    isDisabled: CounterPropsTypes['isDisabled'];
    hover: CounterPropsTypes['hover'];
}
interface styleState {
    backgroundColor: string;
    fontColor: string;
}
interface sizeType {
    paddingTop: number;
    paddingRight: number;
    paddingLeft: number;
    paddingBottom: number;
}
interface ModelView {
    style: {
        light: {
            default: styleState;
            hover: styleState;
        };
        dark: {
            default: styleState;
            hover: styleState;
        };
    };
    size: {
        s: sizeType;
        m: sizeType;
    };
    font: FontStyleTypeModel;
}
export type { CounterPropsTypes, CounterElementPropsTypes, ModelView };
