import React from 'react';
import { Size, Kind, Color, stickerOptions } from '../../types';
type availableSize = Size;
type widthTypes = 'fixed' | 'full';
export type kindInteraction = 'mouse' | 'keyboard';
export interface DropdownFlyoutItemPropType {
    label: string;
    value: string;
    isDisabled?: boolean;
    counter?: string;
    onSelectedItem: () => void;
}
export interface StateContextOptions {
    size: availableSize;
    isDisabled: boolean;
    readOnly: boolean;
    dayTime: 'light' | 'dark';
    isResponsive: boolean;
    isError: boolean;
    isRequired: boolean;
}
export interface DropdownFlyoutOptions {
    dropdownItems: DropdownFlyoutItemPropType[];
    label: string;
    kind?: Kind;
    size?: Size;
    color?: Color.green | Color.blue | Color.dark | Color.danger;
    width?: widthTypes;
    icon?: string;
    ariaLabel?: string;
    className?: string;
    isDisabled?: boolean;
    isInverse?: boolean;
    isColorBg?: boolean;
    isResponsive?: boolean;
    stickerOptions?: stickerOptions;
    selectOptionTemplate?: (optionItem: DropdownFlyoutItemPropType) => React.ReactElement;
    onChange?: (item: DropdownFlyoutItemPropType) => void;
}
export interface StylesMapTypes {
    style: {
        [key: string]: string;
    };
    size: {
        [key: string]: string;
    };
}
export interface DropdownFlyoutContainerProps {
    width: widthTypes;
    openState: boolean;
    menuOffset: number;
}
export {};
