import { ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
export type kindInteraction = 'keyboard' | 'mouse';
type availableColors = Color.blue | Color.green | Color.dark;
export declare enum SortOrder {
    ASC = "asc",
    DESC = "desc"
}
export interface checkboxItem {
    value: boolean;
    title: string;
    name: string;
}
export interface FilterProps {
    checkboxItems: checkboxItem[];
    isInverse?: boolean;
    color?: availableColors;
    sortingType?: SortOrder;
    sortingSelected?: (type: SortOrder) => void;
    cancel?: () => void;
    apply?: (state: checkboxItem[]) => void;
}
export interface StyleScheme {
    style: {
        light: {
            bgColor: string;
            borderColor: string;
        };
        dark: {
            bgColor: string;
            borderColor: string;
        };
    };
}
export interface FilterContainerProps {
    show: boolean;
    theme: ThemeTypesModel;
    state: {
        dayTime: 'light' | 'dark';
        styles: StyleScheme;
    };
}
export {};
