import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Size } from '../../types';
interface GoToPagePropsTypes {
    value: string;
    label: string;
    className?: string;
    size?: Size.s | Size.m;
    minValue?: number;
    maxValue?: number;
    isDisabled?: boolean;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
    pageChanged?: (val: string) => void;
}
interface ContainerProps {
    disabled: boolean;
}
interface ButtonProps {
    size: Size.s | Size.m;
    dayTime: 'day' | 'night';
    styled: ModelView;
}
interface InputProps {
    sizeProp: Size.s | Size.m;
    focused: boolean;
    dayTime: 'day' | 'night';
    styled: ModelView;
}
interface styleParams {
    fontColor: string;
    borderColor: string;
}
interface sizeParams {
    width: number;
    height: number;
    paddingTop: number;
    paddingLeft: number;
    paddingRight: number;
    paddingBottom: number;
}
interface sizeTypes {
    button: sizeParams;
    input: sizeParams;
    font: FontStyleTypeModel;
}
interface ModelView {
    style: {
        day: {
            default: styleParams;
            hover: styleParams;
            active: styleParams;
        };
        night: {
            default: styleParams;
            hover: styleParams;
            active: styleParams;
        };
    };
    size: {
        s: sizeTypes;
        m: sizeTypes;
    };
}
export type { GoToPagePropsTypes, ContainerProps, ButtonProps, InputProps, ModelView };
