import { Size, stickerOptions } from '../../types';
type availableSizes = Size.s | Size.m | Size.l;
export interface itemsStateProps {
    label: string;
    value: string;
}
export interface ItemsPerPageProps {
    title?: string;
    itemsList?: number[];
    placeholder?: string;
    icon?: string;
    value: number;
    className?: string;
    headingProp?: string;
    ariaLabel?: string;
    size?: availableSizes;
    isDisabled?: boolean;
    isInverse?: boolean;
    isResponsive?: boolean;
    stickerOptions?: stickerOptions;
    valueChanged?: (val: number) => void;
}
export interface StylesMapTypes {
    style: any;
    size: {
        s: {
            labelFont: {
                fontSize: number;
                lineHeight: number;
                fontWeight: number | string;
            };
        };
        m: {
            labelFont: {
                fontSize: number;
                lineHeight: number;
                fontWeight: number | string;
            };
        };
        l: {
            labelFont: {
                fontSize: number;
                lineHeight: number;
                fontWeight: number | string;
            };
        };
    };
}
interface State {
    styles: StylesMapTypes;
    isInverse: boolean;
    isDisabled: boolean;
    isResponsive: boolean;
    size: availableSizes;
    dayTime: 'light' | 'dark';
}
export interface ContainerProps {
    state: State;
}
export {};
