import React from 'react';
import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
interface LinkPropsType {
    href: string;
    color?: Color.green | Color.dark | Color.blue;
    attr?: React.AnchorHTMLAttributes<HTMLAnchorElement>;
    className?: string;
    children?: React.ReactElement | string;
    theme?: ThemeTypesModel;
    isSilent?: boolean;
    isInverse?: boolean;
    isDisabled?: boolean;
}
interface LinkWrapperType {
    styled: ModelView;
    colorType: Color.green | Color.dark | Color.blue;
    focused: boolean;
    silent?: boolean;
    inverse?: boolean;
    disabled?: boolean;
    theme?: ThemeTypesModel;
    href: string;
    dayTime: 'day' | 'night';
}
interface styleParams {
    fontColor: string;
}
interface states {
    default: styleParams;
    hover: styleParams;
    active: styleParams;
    visited: styleParams;
}
interface dayTime {
    day: {
        green: states;
        dark: states;
        blue: states;
    };
    night: {
        green: states;
        dark: states;
        blue: states;
    };
}
interface sizeParams {
    font: FontStyleTypeModel;
}
interface ModelView {
    style: dayTime;
    size: sizeParams;
}
export type { LinkPropsType, LinkWrapperType, ModelView };
