import { ThemeTypesModel } from '../../Themes/theme_types';
interface MobilePagerPropsTypes {
    value: number;
    pageLength: number;
    className?: string;
    theme?: ThemeTypesModel;
    isInverse?: boolean;
    onPageChange?: (i: number) => void;
}
interface ButtonProps {
    styled: ModelView;
    themeType: 'day' | 'night';
    active: boolean;
    focused: boolean;
}
interface styleParams {
    backgroundColor: string;
}
interface styleState {
    default: styleParams;
    hover: styleParams;
    active: styleParams;
}
interface sizeParams {
    width: number;
    height: number;
    marginRight: number;
}
interface sizeTypes {
    button: sizeParams;
}
interface ModelView {
    style: {
        day: styleState;
        night: styleState;
    };
    size: sizeTypes;
}
export type { MobilePagerPropsTypes, ButtonProps, ModelView };
