import { StateContextOptions } from '../../RTE.types';
import { stickerOptions, Size } from '../../../../types';
import { Element as SlateElement, BaseText, Editor, BaseElement } from 'slate';
export interface Tools {
    style: Array<string>;
    color: Array<string>;
    headlines: Array<string>;
    scripts: Array<string>;
    lists: Array<string>;
    alignment: Array<string>;
    ref: Array<string>;
    quotation: Array<string>;
    formating: Array<string>;
}
export interface ToolsPanelProps {
    size: Size;
    editorID: string;
    editorrr: Editor;
    selectedText: string;
    componentInViewport: boolean;
    panelPosition: 'top' | 'bottom';
    mobileToolsTitle: string;
    stickerOptions?: stickerOptions;
    tools: Tools;
}
export interface PanelProps {
    state: StateContextOptions;
    panelPosition: 'top' | 'bottom';
    styles: styledMapSheme;
}
export interface ToolsGroupProps {
    state: StateContextOptions;
    styles: styledMapSheme;
}
interface colorMarker {
    width: number;
    height: number;
    top: number;
    left: number;
}
export interface styledMapSheme {
    style: {
        light: {
            panelBorderColor: string;
        };
        dark: {
            panelBorderColor: string;
        };
    };
    size: {
        s: {
            colorMarker: colorMarker;
        };
        m: {
            colorMarker: colorMarker;
        };
        l: {
            colorMarker: colorMarker;
        };
    };
}
export interface ContextItemsFocusStateType {
    items: [] | NodeList;
    index: number;
}
export interface Mark extends BaseText {
    style: any;
    color: any;
    headlines: any;
    scripts: any;
    lists: any;
    alignment: any;
    ref: any;
}
export interface contRect {
    x: number;
    y: number;
    width: number;
    height: number;
    top: number;
    right: number;
    bottom: number;
    left: number;
}
export interface CustomElement extends BaseElement {
    [key: string]: any;
}
export interface ColorPickerStateOptions {
    show: boolean;
    target: string;
}
export interface SlateElementExtendet extends SlateElement {
    align?: string;
    type?: string;
}
export {};
