import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { radiobuttonItem } from '../Radiobutton/types';
import { Color } from '../../types';
import React from 'react';
type direction = 'column' | 'row';
interface RadiobuttonGroupProps {
    name: string;
    color?: Color.green | Color.blue | Color.dark;
    direction?: direction;
    radiobuttonItems: radiobuttonItem[];
    errorState?: 'default' | 'focus out';
    title?: string;
    theme?: ThemeTypesModel;
    className?: string;
    isInverse?: boolean;
    isDisabled?: boolean;
    isUncheckable?: boolean;
    isRequired?: boolean;
    isError?: boolean;
    onChangeHandler?: (value: string | null) => void;
    onFocus?: (e: React.FocusEvent) => void;
    onBlur?: (e: React.FocusEvent) => void;
}
interface GroupContainerProps {
    direction: direction;
}
interface ItemsProps {
    direction: direction;
}
interface ItemProps {
    direction: direction;
}
interface LabelProps {
    styled: ModelView;
    daytime: 'day' | 'night';
    isRequired: boolean;
}
interface ModelView {
    style: {
        day: {
            label: {
                color: string;
            };
        };
        night: {
            label: {
                color: string;
            };
        };
    };
    font: FontStyleTypeModel;
}
export type { ModelView, RadiobuttonGroupProps, LabelProps, ItemProps, ItemsProps, GroupContainerProps, };
