import { ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
interface RatingPropsTypes {
    value: number;
    color?: Color.green | Color.dark | Color.blue;
    icon?: string;
    filledIcon?: string;
    isEditable?: boolean;
    isDisabled?: boolean;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
    className?: string;
    onValueChange: (val: number) => void;
}
interface ContainerProps {
    editable: boolean;
    disabled: boolean;
}
interface ButtonProps {
    styled: ModelView;
    color: Color.green | Color.dark | Color.blue | Color.white;
    active: boolean;
    focused: boolean;
}
interface styleParams {
    backgroundColor: string;
}
interface sizeParams {
    width: number;
    height: number;
}
interface sizeTypes {
    button: sizeParams;
    before: sizeParams;
}
interface ModelView {
    style: {
        green: styleParams;
        dark: styleParams;
        blue: styleParams;
        white: styleParams;
    };
    size: sizeTypes;
}
export type { RatingPropsTypes, ContainerProps, ButtonProps, ModelView };
