import { direction, sideHandlerTick, SliderProps } from './types';
declare const getFirstRightBound: (second: number | null, segments: number[], intervals: number[], grid: number[], isSegmented: boolean, totalWidth: number) => number;
declare const getSecondLeftBound: (first: number, segments: number[], intervals: number[], grid: number[], isSegmented: boolean) => number;
declare const isRangeBefore: (pointValue: number, handlerValue: number, isSegmented: boolean) => boolean;
declare const isRangeBetween: (pointValue: number, firstHandler: number, secondHandler: number, isSegmented: boolean) => boolean;
declare const convertPixelsToValue: (value: number, width: number, min: number, max: number) => number;
declare const convertValueToPixelPosition: (value: number, width: number, min: number, max: number) => number;
declare const convertValueToPercentage: (value: number, min: number, max: number) => number;
declare const getFirstValue: (val: SliderProps['value'], min: number) => number;
declare const getSecondValue: (val: SliderProps['value']) => number | null;
declare const getStickedValue: (points: number[], value: number) => number;
declare const generateSegmentDividers: (min: number, max: number, steps: number, isSegmented: boolean) => number[];
declare const generateLineIndicatorStyle: (direction: direction, range: [number, number | undefined], colors: {
    default: string;
    filled: string;
}) => {
    width: string;
    height: number;
    background: string;
    left?: undefined;
} | {
    left: number;
    width: number;
    height: string;
    background: string;
} | undefined;
declare const generateEachPixHasValue: (width: number, min: number, max: number) => number[];
declare const generateIntervals: (intervalValue: number, min: number, max: number) => number[];
declare const returnValueBasedOnInterval: (point: number, intervals: number[]) => number;
declare const makeHandlerView: (direction: string, position: string) => sideHandlerTick;
export { getFirstRightBound, getSecondLeftBound, isRangeBetween, isRangeBefore, generateSegmentDividers, generateLineIndicatorStyle, convertValueToPixelPosition, convertPixelsToValue, convertValueToPercentage, getStickedValue, getSecondValue, getFirstValue, generateEachPixHasValue, generateIntervals, returnValueBasedOnInterval, makeHandlerView, };
