import { ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
type colorProp = Color.green | Color.dark | Color.blue | Color.danger | Color.gray;
interface SpinnerProps {
    color?: colorProp;
    className?: string;
    thickness: number;
    width?: number;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
}
interface SpinnerPropsTypes {
    styled: ModelView;
    color?: colorProp;
    width?: number;
    thickness?: number;
    theme: ThemeTypesModel;
    dayTime: 'day' | 'night';
}
interface ModelView {
    style: {
        day: {
            colors: StyledColors;
        };
        night: {
            colors: StyledColors;
        };
    };
}
interface StyledColors {
    green: string;
    dark: string;
    blue: string;
    gray: string;
    danger: string;
}
export type { SpinnerProps, SpinnerPropsTypes, ModelView };
