import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Color, Size } from '../../types';
type availAbleColor = Color.green | Color.dark | Color.blue | Color.danger;
type availAbleSize = Size.s | Size.m;
interface StatusTagProps {
    label: string;
    className?: string;
    color?: availAbleColor;
    size?: availAbleSize;
    icon?: string;
    withLink?: boolean;
    href?: string;
    isDisabled?: boolean;
    isInverse?: boolean;
    theme?: ThemeTypesModel;
}
interface ContainerPropType {
    color: availAbleColor;
    size: availAbleSize;
    styled: ModelView;
    focused: boolean;
    isDisabled: boolean;
    dayTime: 'day' | 'night';
}
interface LinkWrapperPropType {
    isDisabled: boolean;
}
interface TextPropType {
    size: availAbleSize;
    styled: ModelView;
}
interface styleParams {
    backgroundColor: string;
    fontColor: string;
}
interface states {
    default: styleParams;
    hover: styleParams;
}
interface kinds {
    green: states;
    dark: states;
    blue: states;
    danger: states;
}
interface dayTime {
    day: kinds;
    night: kinds;
}
interface sizeParams {
    icon: {
        paddingTop: number;
        paddingRight: number;
        paddingBottom: number;
        paddingLeft: number;
    };
    text: {
        paddingTop: number;
        paddingRight: number;
        paddingBottom: number;
        paddingLeft: number;
    };
    font: FontStyleTypeModel;
}
interface ModelView {
    style: dayTime;
    size: {
        s: sizeParams;
        m: sizeParams;
    };
}
export type { StatusTagProps, ContainerPropType, LinkWrapperPropType, TextPropType, ModelView };
