import React from 'react';
import { Kind, Color, StickerPosition } from '../../types';
import { ThemeTypesModel } from '../../Themes/theme_types';
interface ModalBoxProps {
    actions?: StickerFooterAction[];
    dialogLabel?: string;
    position?: StickerPosition;
    indent?: number;
    shift?: number;
    isDynamic?: boolean;
    width?: number | string;
    maxHeight?: number | string;
    isDisabled?: boolean;
    className?: string;
    isInverse?: boolean;
    hashState?: string;
    show: boolean;
    requiredWindow?: boolean;
    children?: React.ReactElement;
    anchorEl?: HTMLElement | null;
    isResponsive?: boolean;
    theme?: ThemeTypesModel;
    onClose?: () => void;
}
interface StickerFooterAction {
    title: string;
    kind: Kind;
    color: Color.green | Color.dark | Color.blue | Color.danger;
    isDisabled?: boolean;
    onClick: () => void;
}
interface ModelView {
    style: {
        day: themeObject;
        night: themeObject;
    };
    size: object;
}
interface themeObject {
    borderColor: string;
}
interface TunnelContainerProps {
    theme?: ThemeTypesModel;
    styled: ModelView;
    dayTheme: 'day' | 'night';
}
export type { ModalBoxProps, StickerFooterAction, ModelView, TunnelContainerProps };
