import React from 'react';
import { Color } from '../../../types';
interface ToastType {
    id: string;
    title: string;
    message: string;
    color?: Color.green | Color.dark | Color.blue;
    customClass?: string;
    action?: {
        title: string;
        actionFunc: (e: React.SyntheticEvent) => void;
    };
    isCloseIcon?: boolean;
    isLoading?: boolean;
    isError: boolean;
    isInverse?: boolean;
}
interface ToasterContextTypes {
    toasts: () => ToastType[];
    newToast: (toast: ToastType) => void;
    deleteToast: (id: string) => void;
    clearToasts: () => void;
}
export type { ToastType, ToasterContextTypes };
