import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { ToggleType } from '../Toggle';
interface ToggleGroupProps {
    toggleItems: ToggleItemsPropTypes[];
    groupTitle?: string;
    color?: ToggleType['color'];
    direction?: 'column' | 'row';
    theme?: ThemeTypesModel;
    errorState?: 'default' | 'focus out';
    className?: string;
    isInverse?: boolean;
    isDisabled?: boolean;
    isError?: boolean;
    isRequired?: boolean;
    onChangeHandler?: (val: ToggleItemsPropTypes[]) => void;
}
interface ToggleItemsPropTypes {
    value: ToggleType['value'];
    isDisabled: ToggleType['isDisabled'];
    label: ToggleType['label'];
}
interface changeHandlerPropsTypes {
    label: string;
    value: boolean;
}
type GroupContainerProps = object;
interface GroupLabelProps {
    styled: ModelView;
    daytime: 'day' | 'night';
    isRequired: boolean;
}
interface ItemsProps {
    direction: ToggleGroupProps['direction'];
}
interface ItemProps {
    direction: ToggleGroupProps['direction'];
}
interface ModelView {
    style: {
        day: {
            label: {
                color: string;
            };
        };
        night: {
            label: {
                color: string;
            };
        };
    };
    font: FontStyleTypeModel;
}
export type { ToggleGroupProps, ToggleItemsPropTypes, changeHandlerPropsTypes, GroupContainerProps, GroupLabelProps, ItemsProps, ItemProps, ModelView, };
