import { ThemeTypesModel } from '../../Themes/theme_types';
import { Size, Color } from '../../types';
interface nodeObjectType {
    label: string;
    id: string;
    children: nodeObjectType[];
    icon?: string;
    className?: string;
    isDisabled?: boolean;
    isChecked?: boolean | 'mixed';
    isExpanded?: boolean;
    isActive?: boolean;
}
interface TreeViewProps {
    treeItems: nodeObjectType[];
    className?: string;
    theme?: ThemeTypesModel;
    color?: Color.green | Color.blue | Color.dark;
    size?: Size.s | Size.m | Size.l;
    recursionDeepness?: number;
    expandIcon?: string;
    isCheckboxVisible?: boolean;
    isInverse?: boolean;
    itemCheckboxChanged?: (node: nodeObjectType) => void;
    itemActivated?: (node: nodeObjectType) => void;
    itemExpandChanged?: (node: nodeObjectType) => void;
}
export type { nodeObjectType, TreeViewProps };
