import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { stickerOptions } from '../../types';
interface userData {
    user: {
        username: string;
        initials: string;
        userInfo: string;
        photoURL?: string;
    };
    className?: string;
    navigation: userProfileNavItem[];
}
interface UserProfileProps {
    userData: userData;
    role?: string;
    stickerOptions?: stickerOptions;
    isInverse?: boolean;
    isDisabled?: boolean;
    hasArrow?: boolean;
    className?: string;
    theme?: ThemeTypesModel;
}
interface userProfileNavItem {
    isDisabled: boolean;
    label: string;
    value: string;
    counter?: string;
    onSelectedItem?: () => void;
}
interface MenuItemProps {
    label: string;
    value: string;
    isDisabled: boolean;
    onSelectedItem: () => void;
}
interface ContainerProps {
    isDisabled: boolean;
}
interface ButtonProps {
    focused: boolean;
    isInverse: boolean;
    isOpened: boolean;
}
interface styleParams {
    backgroundColor: string;
    fontColor: string;
    secondaryColor: string;
}
interface styleState {
    day: styleParams;
    night: styleParams;
}
interface ModelView {
    style: styleState;
    size: {
        font: FontStyleTypeModel;
    };
}
export type { UserProfileProps, userData, userProfileNavItem, MenuItemProps, ContainerProps, ButtonProps, ModelView, };
