import React from 'react';
import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
type availableColor = Color.blue | Color.green | Color.dark;
interface WizardProps {
    items: wizardItemProps[];
    className?: string;
    theme?: ThemeTypesModel;
    children?: React.ReactElement;
    color?: availableColor;
    icon?: string;
    enableProgress?: boolean;
    progress?: number;
    startNumbering?: number;
    activeID?: string;
    isNumeric?: boolean;
    isVertical?: boolean;
    isCompact?: boolean;
    isInverse?: boolean;
    wizardItemChanged?: (i: wizardItemProps) => void;
}
interface wizardItemProps {
    id: string;
    className?: string;
    label?: string;
    icon?: string;
    progress?: number;
    isDisabled: boolean;
}
interface wizardItemsType {
    className?: string;
    label?: string;
    position: number;
    active: boolean;
    icon?: string;
    progress?: number;
    isDisabled: boolean;
}
interface WrapperPropTypes {
    vertical?: boolean;
}
interface styleParams {
    fontColor: string;
}
interface styleState {
    day: styleParams;
    night: styleParams;
}
interface ModelView {
    style: styleState;
    size: {
        font: FontStyleTypeModel;
    };
}
export type { WizardProps, wizardItemProps, wizardItemsType, WrapperPropTypes, ModelView };
