import { FontStyleTypeModel, ThemeTypesModel } from '../../Themes/theme_types';
import { Color } from '../../types';
type WizardItemProps = {
    className?: string;
    theme?: ThemeTypesModel;
    color: Color.blue | Color.green | Color.dark;
    position: number;
    label?: string;
    icon?: string;
    progress?: number;
    isNumeric?: boolean;
    isActive: boolean;
    numericNumber: number;
    isCompleted: boolean;
    isDisabled: boolean;
    isInverse: boolean;
    isVertical?: boolean;
    isCompact?: boolean;
    wizardItemClicked: (position: number) => void;
};
type ThemeType = 'day' | 'night';
type HeadingProps = {
    styled: ModelView;
    isVertical: boolean;
    themeType: ThemeType;
    active?: boolean;
    complete?: boolean;
};
type ContainerProp = {
    styled: ModelView;
    themeType: ThemeType;
    focused?: boolean;
    active?: boolean;
    vertical?: boolean;
    compact?: boolean;
    disabled?: boolean;
};
type TextPropTypes = {
    styled: ModelView;
    themeType: ThemeType;
    active?: boolean;
};
type styleParams = {
    backgroundColor: string;
    fontColor: string;
};
type styleState = {
    default: styleParams;
    hover: styleParams;
    active: styleParams;
};
type styleType = {
    day: styleState;
    night: styleState;
};
type sizeParams = {
    paddingTop?: number;
    paddingLeft?: number;
    paddingBottom?: number;
    paddingRight?: number;
};
type ModelView = {
    style: styleType;
    size: {
        container: sizeParams;
        compact: {
            height: number;
            padding: number;
        };
        number: {
            marginRight: number;
            font: FontStyleTypeModel;
        };
        progress: {
            height: number;
            marginTop: number;
            marginRight: number;
        };
        icon: {
            marginRight: number;
            width: number;
            height: number;
        };
        font: FontStyleTypeModel;
    };
};
export type { HeadingProps, WizardItemProps, ContainerProp, TextPropTypes, ModelView };
