export type FontStyleTypeModel = {
    fontSize: number;
    fontWeight: string | number;
    lineHeight: number;
};
export type ThemeTypesModel = {
    colors: {
        Accessibility_outline: string;
        White: string;
        Black: string;
        Deloitte_Green: string;
        Green_4: string;
        Accessible_Green: string;
        Green_6: string;
        Accessible_Teal: string;
        Accessible_Blue: string;
        Green_1: string;
        Green_2: string;
        Green_5: string;
        Green_7: string;
        Blue_1: string;
        Blue_2: string;
        Blue_3: string;
        Blue_4: string;
        Blue_5: string;
        Blue_6: string;
        Blue_7: string;
        Teal_1: string;
        Teal_2: string;
        Teal_3: string;
        Teal_4: string;
        Teal_5: string;
        Teal_6: string;
        Teal_7: string;
        Cool_Grey_2: string;
        Cool_Grey_4: string;
        Cool_Grey_6: string;
        Cool_Grey_7: string;
        Cool_Grey_9: string;
        Cool_Grey_10: string;
        Cool_Grey_11: string;
        Bright_Green: string;
        Bright_Teal: string;
        Bright_Blue: string;
        Red: string;
        Orange: string;
        Yellow: string;
    };
    colorsMixin: {
        hover_Black_Overlay: number;
        click_Black_Overlay: number;
        hover_S_Black_Overlay: number;
        click_S_Black_Overlay: number;
        hover_S_White_Overlay: number;
        click_S_White_Overlay: number;
        transparent: {
            dark_Bg_White_Over: {
                hover: number;
                click: number;
                hoverS: number;
                clickS: number;
            };
            dark_Bg_Black_Over: {
                hover: number;
                click: number;
                hoverS: number;
                clickS: number;
            };
        };
    };
    size: {
        atom: number;
    };
    font: {
        family: string;
        body_text: FontStyleTypeModel;
        body_component: FontStyleTypeModel;
        body_component_accent: FontStyleTypeModel;
        link12: FontStyleTypeModel;
        link14: FontStyleTypeModel;
        component_label: FontStyleTypeModel;
        accessory_label_sm: FontStyleTypeModel;
        accessory_label: FontStyleTypeModel;
        component_layout_heading: FontStyleTypeModel;
        layout_heading_1: FontStyleTypeModel;
        layout_heading_2: FontStyleTypeModel;
        layout_heading_3: FontStyleTypeModel;
        layout_heading_4: FontStyleTypeModel;
        layout_heading_5: FontStyleTypeModel;
        titles: {
            heading1: FontStyleTypeModel;
            heading2: FontStyleTypeModel;
            heading3: FontStyleTypeModel;
            heading4: FontStyleTypeModel;
            heading5: FontStyleTypeModel;
        };
    };
    border: {
        radius: number;
    };
};
