export type kindInteraction = 'keyboard' | 'mouse';
export declare enum Size {
    s = "s",
    m = "m",
    l = "l"
}
export declare enum Color {
    green = "green",
    blue = "blue",
    dark = "dark",
    danger = "danger",
    white = "white",
    gray = "gray"
}
export declare enum Kind {
    primaryLoud = "primaryLoud",
    primary = "primary",
    secondaryLoud = "secondaryLoud",
    secondary = "secondary",
    silent = "silent"
}
export interface stickerOptions {
    width?: string;
    maxHeight?: string;
    shift?: number;
    indent?: number;
    isDisabled?: boolean;
    position?: StickerPosition;
    className?: string;
    isDynamic?: boolean;
    isOutsideClick?: boolean;
}
export interface tooltipOptions {
    icon?: string;
    color?: Color.green | Color.dark | Color.blue;
    width?: number | string;
    shift?: number;
    indent?: number;
    className?: string;
    isDisabled?: boolean;
    hasBeak?: boolean;
    isDynamic?: boolean;
    position?: StickerPosition;
    showDelay?: number;
    hideDelay?: number;
}
export declare enum StickerPosition {
    'top' = "top",
    'top-left' = "top-left",
    'top-right' = "top-right",
    'right' = "right",
    'right-top' = "right-top",
    'right-bottom' = "right-bottom",
    'bottom' = "bottom",
    'bottom-left' = "bottom-left",
    'bottom-right' = "bottom-right",
    'left' = "left",
    'left-top' = "left-top",
    'left-bottom' = "left-bottom"
}
